import * as fs from "fs-extra";
import * as path from "path";
export default class GetDefaults {
    static init() {
        let resourcePath = path.join(__dirname, "..", "..", "resources", "default-config.json");
        let fileData = fs.readFileSync(resourcePath, "utf8");
        this.defaultConfig = JSON.parse(fileData);
    }
    static getApiVersion() {
        return this.defaultConfig.apiversion;
    }
}
//# sourceMappingURL=getDefaults.js.map